(defun b-completion-at-point ()
  (let ((beg (progn
               (skip-syntax-backward "w")
               (point)))
        (end (progn
               (skip-syntax-forward "w")
               (point))))
    (list beg end '("IGNORE" "DEBUG" "HELLO"))))

(define-derived-mode b-mode prog-mode "B mode"
  (add-hook 'completion-at-point-functions
            'b-completion-at-point nil t))
